org.apache.uima.resource.metadata.impl

## Interface MetaDataObject_impl.Serializer

- All Known Implementing Classes:
    MetaDataObjectSerializer_json
  Enclosing class:
    MetaDataObject_impl

      public static interface MetaDataObject_impl.Serializer

  methods used for serializing

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNodeStore()`
    `void` | `deleteNodeStore()`
    `Node` | `findMatchingSubElement(String elementName)`
    `boolean` | `indentChildElements(XmlizationInfo info, MetaDataObject_impl mdo)`
    `void` | `insertNl()`
    `boolean` | `isArrayHasIndentableElements(Object array)`
    `void` | `maybeEndArraySymbol()`
    `void` | `maybeStartArraySymbol()`
    `void` | `outputEndElement(Node node, String aNamespace, String localname, String qname)`
    `void` | `outputEndElementForArrayElement(Node node, String aNamespace, String localname, String qname)`
    `void` | `outputStartElement(Node node, String nameSpace, String localName, String qname, Attributes attributes)`
    `void` | `outputStartElementForArrayElement(Node node, String nameSpace, String localName, String qname, Attributes attributes)`
    `void` | `saveAndAddNodeStore(Node infoset)`
    `boolean` | `shouldBeSkipped(PropertyXmlInfo propInfo, Object val, MetaDataObject_impl mdo)`
    `boolean` | `shouldEncloseInArrayElement(Class propClass)`
    `boolean` | `startElementProperty()`
    `void` | `writeDelayedStart(String name)`
    `void` | `writeSimpleValue(Object val)`
    `void` | `writeSimpleValueWithTag(String className, Object value, Node node)`

- - ### Method Detail

    - #### outputStartElement

          void outputStartElement(Node node,
                                  String nameSpace,
                                  String localName,
                                  String qname,
                                  Attributes attributes)
                           throws SAXException

      Throws:
        `SAXException`

    - #### outputEndElement

          void outputEndElement(Node node,
                                String aNamespace,
                                String localname,
                                String qname)
                         throws SAXException

      Throws:
        `SAXException`

    - #### outputStartElementForArrayElement

          void outputStartElementForArrayElement(Node node,
                                                 String nameSpace,
                                                 String localName,
                                                 String qname,
                                                 Attributes attributes)
                                          throws SAXException

      Throws:
        `SAXException`

    - #### outputEndElementForArrayElement

          void outputEndElementForArrayElement(Node node,
                                               String aNamespace,
                                               String localname,
                                               String qname)
                                        throws SAXException

      Throws:
        `SAXException`

    - #### insertNl

          void insertNl()

    - #### shouldBeSkipped

          boolean shouldBeSkipped(PropertyXmlInfo propInfo,
                                  Object val,
                                  MetaDataObject_impl mdo)

    - #### startElementProperty

          boolean startElementProperty()

    - #### deleteNodeStore

          void deleteNodeStore()

    - #### indentChildElements

          boolean indentChildElements(XmlizationInfo info,
                                      MetaDataObject_impl mdo)

    - #### saveAndAddNodeStore

          void saveAndAddNodeStore(Node infoset)

    - #### addNodeStore

          void addNodeStore()

    - #### writeDelayedStart

          void writeDelayedStart(String name)
                          throws SAXException

      Throws:
        `SAXException`

    - #### writeSimpleValue

          void writeSimpleValue(Object val)
                         throws SAXException

      Throws:
        `SAXException`

    - #### writeSimpleValueWithTag

          void writeSimpleValueWithTag(String className,
                                       Object value,
                                       Node node)
                                throws SAXException

      Throws:
        `SAXException`

    - #### shouldEncloseInArrayElement

          boolean shouldEncloseInArrayElement(Class propClass)

    - #### isArrayHasIndentableElements

          boolean isArrayHasIndentableElements(Object array)

    - #### maybeStartArraySymbol

          void maybeStartArraySymbol()
                              throws SAXException

      Throws:
        `SAXException`

    - #### maybeEndArraySymbol

          void maybeEndArraySymbol()
                            throws SAXException

      Throws:
        `SAXException`

    - #### findMatchingSubElement

          Node findMatchingSubElement(String elementName)

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.